package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag721;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT721Creator;

/**
 * @author wuzhe
 * @date 2023/2/28
 */
public class Tag46ACreator extends AbsTagCreate {

     private MT721Creator mt721Creator;

    public Tag46ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt721Creator= (MT721Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag46AValue = mt721Creator.getDocumentsRequired();
        mt721Creator.set("46A", tag46AValue);
    }
}
